//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package org.jeecg.modules.jmreport.desreport.a;

import com.alibaba.fastjson.JSONObject;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;

import org.jeecg.modules.jmreport.common.util.oConvertUtils;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController("jimuReportTestController")
@RequestMapping({"/jmreport/test"})
public class g {
    public g() {
    }

    @GetMapping({"/getUserMsg"})
    public JSONObject a(@RequestParam(name = "cname", required = false) String var1, @RequestParam(name = "did", required = false) String var2, @RequestParam(name = "riqi", required = false) String var3, @RequestParam(name = "riqi_begin", required = false) String var4, @RequestParam(name = "riqi_end", required = false) String var5) throws ParseException {
        JSONObject var6 = new JSONObject();
        ArrayList var7 = new ArrayList();
        String var8 = "";
        if (oConvertUtils.isNotEmpty(var3)) {
            SimpleDateFormat var9 = new SimpleDateFormat("yyyy-MM-dd");
            Date var10 = var9.parse(var3);
            SimpleDateFormat var11 = new SimpleDateFormat("yyyy年MM月dd日");
            var8 = var11.format(var10);
        }

        for (int var15 = 0; var15 < 30; ++var15) {
            JSONObject var17 = new JSONObject();
            var17.put("id", "2020" + var15);
            var17.put("cname", "牛奶" + var15);
            var17.put("cnum", "每箱12瓶");
            var17.put("cprice", "56");
            var17.put("ctotal", 125 + var15 + "箱");
            var17.put("tp", "7000");
            var17.put("dtotal", "1256箱");
            var17.put("ztotal", "589箱");
            if (var15 < 15) {
                var17.put("riqi", "2022年10月21日");
                var17.put("id", "1");
                var17.put("dId", "1");
            } else if (var15 > 15 && var15 < 25) {
                var17.put("riqi", "2022年10月22日");
                var17.put("id", "2");
                var17.put("dId", "2");
            } else {
                var17.put("riqi", "2022年10月23日");
                var17.put("id", "2");
                var17.put("dId", "2");
            }

            var7.add(var17);
        }

        ArrayList var16 = new ArrayList();
        Iterator var18 = var7.iterator();

        while (true) {
            while (var18.hasNext()) {
                JSONObject var19 = (JSONObject) var18.next();
                String var12 = var19.getString("cname");
                String var13 = var19.getString("riqi");
                String var14 = var19.getString("id");
                if (oConvertUtils.isNotEmpty(var1) && oConvertUtils.isNotEmpty(var8) && oConvertUtils.isNotEmpty(var2)) {
                    if (var1.equals(var12) && var8.equals(var13) && var2.equals(var14)) {
                        var16.add(var19);
                    }
                } else if (oConvertUtils.isNotEmpty(var1)) {
                    if (var1.equals(var12)) {
                        var16.add(var19);
                    }
                } else if (oConvertUtils.isNotEmpty(var8)) {
                    if (var8.equals(var13)) {
                        var16.add(var19);
                    }
                } else if (oConvertUtils.isNotEmpty(var2) && var2.equals(var14)) {
                    var16.add(var19);
                }
            }

            if (!oConvertUtils.isNotEmpty(var3) && !oConvertUtils.isNotEmpty(var1) && !oConvertUtils.isNotEmpty(var2)) {
                var6.put("data", var7);
            } else {
                var6.put("data", var16);
            }

            return var6;
        }
    }

    @GetMapping({"/getOrder"})
    public JSONObject a(@RequestParam(value = "id", required = false) String var1) {
        ArrayList var2 = new ArrayList();
        JSONObject var3 = new JSONObject();
        JSONObject var4;
        if (oConvertUtils.isEmpty(var1) || "1".equals(var1)) {
            var4 = new JSONObject();
            var4.put("id", "1");
            var4.put("dOrderDate", "2021年3月18日");
            var4.put("dGoodsDate", "2021年3月19日");
            var4.put("dGoodsCode", "17612057");
            var4.put("dName", "张三");
            var4.put("dAddress", "北京市海淀区");
            var4.put("dArrivalDate", "2021年3月21日");
            var2.add(var4);
        }

        if (oConvertUtils.isEmpty(var1) || "2".equals(var1)) {
            var4 = new JSONObject();
            var4.put("id", "2");
            var4.put("dOrderDate", "2021年4月20日");
            var4.put("dGoodsDate", "2021年4月21日");
            var4.put("dGoodsCode", "17612057");
            var4.put("dName", "李四");
            var4.put("dAddress", "北京市朝阳区");
            var4.put("dArrivalDate", "2021年4月23日");
            var2.add(var4);
        }

        var3.put("data", var2);
        return var3;
    }

    @GetMapping({"/getDictSex"})
    public List<Object> b(@RequestParam(name = "dictCode") String var1) {
        ArrayList var2 = new ArrayList();
        if (var1.equals("sex")) {
            HashMap var3 = new HashMap();
            var3.put("text", "男");
            var3.put("value", "1");
            var2.add(var3);
            HashMap var4 = new HashMap();
            var4.put("text", "女");
            var4.put("value", "2");
            var2.add(var4);
        }

        return var2;
    }
}
